the Fink project is an effort to port
popular Unix programs to Mac OS X
Package: jgroff
Version: 1.18.1.1
Revision: 1006
GCC: 4.0
Maintainer: Todai Fink Team
Source: mirror:gnu:groff/groff-%v.tar.gz
Source-MD5: 511dbd64b67548c99805f1521f82cc5e
Source2: mirror:debian:pool/main/g/groff/groff_%v-13.diff.gz
Source2-MD5: 57ce8449504df8d4b814100daa34a01e
Depends: libiconv
BuildDepends: netpbm-bin, psutils, ghostscript | ghostscript-nox, libiconv-dev
Suggests: netpbm-bin, psutils, ghostscript | ghostscript-nox
ConfFiles: %p/etc/%n/man.local %p/etc/%n/mdoc.local
Description: GNU document formatting system with Japanese support
DescDetail: <<
Groff (GNU Troff) is a document processor which reads plain text mixed
with formatting commands and produces formatted output. This version
supports HTML.
This version supports Japanese text.
<<
DocFiles: COPYING PROBLEMS README README.jp debian/copyright
InfoDocs: jgroff
ConfigureParams: --mandir='${prefix}/share/man' --infodir='${prefix}/share/info' --enable-multibyte YACC=/usr/bin/yacc
PatchScript: <<
gzip -cd ../groff_%v-13.diff.gz | /usr/bin/sed 's|Debian package as /usr|Fink package as %p|g' | patch -p1
/usr/bin/sed 's|@PREFIX@|%p|g' %a/%n.patch | patch -p1
<<
CompileScript: <<
PERLPATH=/usr/bin/perl ./configure %c
make g=j NAMEPREFIX=j LIBS=-liconv
<<
InstallScript: <<
make install g=j NAMEPREFIX=j prefix=%i INSTALL_INFO=:
(set -e; for f in afmtodit eqn2graph groffer grog mmroff pic2graph; do mv %i/bin/$f %i/bin/j$f; done) || exit $?
/usr/bin/sed -i '' 's/^prepro */^prepro j/;s/^postpro */postpro j/' %i/share/%n/1.18.1/font/*/DESC
(set -e; cd %i/share/info; for f in *; do /usr/bin/sed '/^START-INFO-DIR-ENTRY$/,/^END-INFO-DIR-ENTRY$/s/(groff)/(%n)/g;/^Indirect:/,//s/groff-/%n-/' $f > j$f; rm $f; done) || exit $?
ln -s 1.18.1 %i/share/%n/current
mkdir %i/etc
mv %i/share/%n/site-tmac %i/etc/%n
ln -s %p/etc/%n %i/share/%n/site-tmac
cat debian/mandoc.local >> %i/etc/%n/man.local
cat debian/mandoc.local >> %i/etc/%n/mdoc.local
<<
DescPackaging: <<
Avoid dependency mess if /sw/bin/perl exists at compile-time
xditview is not compiled nor installed now.
<<
License: GPL
Homepage: http://www.gnu.org/software/groff/groff.html
diff -Naur groff-1.18.1.1-debian11/Makefile.comm groff-1.18.1.1/Makefile.comm
--- groff-1.18.1.1-debian11/Makefile.comm Mon Sep 16 08:42:34 2002
+++ groff-1.18.1.1/Makefile.comm Wed Mar 15 19:57:13 2006
@@ -182,7 +182,7 @@
-test -d $(man5dir) || $(mkinstalldirs) $(man5dir)
@-pages="$(MAN5)"; \
for p in $$pages; do \
- target=$(man5dir)/`basename $$p .n`.$(man5ext); \
+ target=$(man5dir)/$(NAMEPREFIX)`basename $$p .n`.$(man5ext); \
rm -f $$target; \
echo $(INSTALL_DATA) $$p $$target; \
$(INSTALL_DATA) $$p $$target; \
@@ -190,7 +190,7 @@
-test -d $(man7dir) || $(mkinstalldirs) $(man7dir)
@-pages="$(MAN7)"; \
for p in $$pages; do \
- target=$(man7dir)/`basename $$p .n`.$(man7ext); \
+ target=$(man7dir)/$(NAMEPREFIX)`basename $$p .n`.$(man7ext); \
rm -f $$target; \
echo $(INSTALL_DATA) $$p $$target; \
$(INSTALL_DATA) $$p $$target; \
diff -Naur groff-1.18.1.1-debian11/Makefile.in groff-1.18.1.1/Makefile.in
--- groff-1.18.1.1-debian11/Makefile.in Wed Mar 15 15:29:49 2006
+++ groff-1.18.1.1/Makefile.in Wed Mar 15 18:06:01 2006
@@ -91,18 +91,18 @@
# `libdir' says where to install platform-dependent data.
libdir=@libdir@
-libprogramdir=$(libdir)/groff
+libprogramdir=$(libdir)/jgroff
# `datasubdir' says where to install platform-independent data files.
datadir=@datadir@
-dataprogramdir=$(datadir)/groff
+dataprogramdir=$(datadir)/jgroff
datasubdir=$(dataprogramdir)/$(version)$(revision)
# `infodir' says where to install info files.
infodir=@infodir@
# `docdir' says where to install documentation files.
-docdir=$(datadir)/doc/groff/$(version)$(revision)
+docdir=$(datadir)/doc/jgroff/$(version)$(revision)
# `exampledir' says where to install example files.
exampledir=$(docdir)/examples
diff -Naur groff-1.18.1.1-debian11/debian/copyright groff-1.18.1.1/debian/copyright
--- groff-1.18.1.1-debian11/debian/copyright Wed Mar 15 15:29:49 2006
+++ groff-1.18.1.1/debian/copyright Wed Mar 15 18:02:26 2006
@@ -1,3 +1,9 @@
+This is the Fink package of GNU groff. This is derived from Debian's
+groff package and modified for Fink. Some part of this document,
+especially filenames and directories, may not applicable to Fink.
+
+----- Debian's copyright document begins here -----
+
This is the Debian GNU/Linux prepackaged version of the GNU groff
document formatting system.
GNU groff was written by James Clark
diff -Naur groff-1.18.1.1-debian11/src/libs/libgroff/encoding.cc groff-1.18.1.1/src/libs/libgroff/encoding.cc
--- groff-1.18.1.1-debian11/src/libs/libgroff/encoding.cc Wed Mar 15 15:29:48 2006
+++ groff-1.18.1.1/src/libs/libgroff/encoding.cc Thu Mar 16 00:43:18 2006
@@ -145,6 +145,9 @@
iconv_t icd, ocd;
const char *encoding_name;
static iconv_handler *ih_header;
+#ifdef ICONV_CONST
+ typedef ICONV_CONST char **iconv_arg_type;
+#endif
public:
iconv_handler *next;
@@ -191,7 +196,7 @@
outbytesleft = sizeof(outbuf);
inp = inbuf;
outp = outbuf;
- size_t r = iconv(icd, &inp, &inbytesleft, &outp, &outbytesleft);
+ size_t r = iconv(icd, const_cast
if (r == (size_t)-1) {
if (errno == EILSEQ) {
/* illegal sequence? */
@@ -230,7 +235,7 @@
outbytesleft = 4;
inp = inbuf;
outp = outbuf;
- size_t r = iconv(ocd, &inp, &inbytesleft, &outp, &outbytesleft);
+ size_t r = iconv(ocd, const_cast
if (r == (size_t)-1) {
if (errno == EILSEQ) {
/* illegal sequence? */;
diff -Naur groff-1.18.1.1-debian11/tmac/docj.tmac groff-1.18.1.1/tmac/docj.tmac
--- groff-1.18.1.1-debian11/tmac/docj.tmac Wed Mar 15 15:29:49 2006
+++ groff-1.18.1.1/tmac/docj.tmac Wed Mar 15 18:02:26 2006
@@ -43,7 +43,7 @@
.\}
.if \n(.g .ig
.de sO
-.so /usr/share/tmac/\\$1
+.so @PREFIX@/share/tmac/\\$1
..
.if !\n(.g .ig
.de sO
diff -Naur groff-1.18.1.1-debian11/configure groff-1.18.1.1/configure
--- groff-1.18.1.1-debian11/configure 2008-04-01 02:33:24.000000000 +0900
+++ groff-1.18.1.1/configure 2008-04-01 04:20:49.000000000 +0900
@@ -306,6 +306,7 @@
#endif"
ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS groff_top_builddir CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX TTYDEVDIRS OTHERDEVDIRS LPR LP LPQ PSPRINT DVIPRINT PERLPATH YACC RANLIB ac_ct_RANLIB INSTALL_INFO INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SH_SCRIPT_SED_CMD CPP EGREP LIBM LIBOBJS BROKEN_SPOOLER_FLAGS PAGE g sys_tmac_prefix tmac_wrap pnmcut pnmcrop pnmtopng gs psselect make_html make_install_html DVIFORMAT LTLIBOBJS'
+ac_subst_vars="$ac_subst_vars ICONV_CONST"
ac_subst_files=''
# Initialize some variables set by options.
@@ -6037,6 +6038,104 @@
LTLIBOBJS=$ac_ltlibobjs
+##### check for iconv
+ { echo "$as_me:$LINENO: checking for iconv declaration" >&5
+echo $ECHO_N "checking for iconv declaration... $ECHO_C" >&6; }
+ if test "${am_cv_proto_iconv+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+
+ cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+
+#include
+#include
+extern
+#ifdef __cplusplus
+"C"
+#endif
+#if defined(__STDC__) || defined(__cplusplus)
+size_t iconv (iconv_t cd, char * *inbuf, size_t *inbytesleft, char * *outbuf, size_t *outbytesleft);
+#else
+size_t iconv();
+#endif
+
+int
+main ()
+{
+
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+ (eval "$ac_compile") 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { (case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+ (eval "$ac_try") 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+ (eval "$ac_try") 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ am_cv_proto_iconv_arg1=""
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ am_cv_proto_iconv_arg1="const"
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+ am_cv_proto_iconv="extern size_t iconv (iconv_t cd, $am_cv_proto_iconv_arg1 char * *inbuf, size_t *inbytesleft, char * *outbuf, size_t *outbytesleft);"
+fi
+
+ am_cv_proto_iconv=`echo "$am_cv_proto_iconv" | tr -s ' ' | sed -e 's/( /(/'`
+ { echo "$as_me:$LINENO: result: ${ac_t:-
+ }$am_cv_proto_iconv" >&5
+echo "${ECHO_T}${ac_t:-
+ }$am_cv_proto_iconv" >&6; }
+
+cat >>confdefs.h <<_ACEOF
+#define ICONV_CONST $am_cv_proto_iconv_arg1
+_ACEOF
+
+if test -z "$am_cv_proto_iconv_arg1"; then
+ ICONV_CONST=""
+else
+ ICONV_CONST="const"
+fi
+
+DEFS="$DEFS -DICONV_CONST=$ICONV_CONST"
+##### check for iconv
: ${CONFIG_STATUS=./config.status}
ac_clean_files_save=$ac_clean_files
Package: jgroff
Version: 1.18.1.1
Revision: 1006
GCC: 4.0
Maintainer: Todai Fink Team
Source: mirror:gnu:groff/groff-%v.tar.gz
Source-MD5: 511dbd64b67548c99805f1521f82cc5e
Source2: mirror:debian:pool/main/g/groff/groff_%v-13.diff.gz
Source2-MD5: 57ce8449504df8d4b814100daa34a01e
Depends: libiconv
BuildDepends: netpbm-bin, psutils, ghostscript | ghostscript-nox, libiconv-dev
Suggests: netpbm-bin, psutils, ghostscript | ghostscript-nox
ConfFiles: %p/etc/%n/man.local %p/etc/%n/mdoc.local
Description: GNU document formatting system with Japanese support
DescDetail: <<
Groff (GNU Troff) is a document processor which reads plain text mixed
with formatting commands and produces formatted output. This version
supports HTML.
This version supports Japanese text.
<<
DocFiles: COPYING PROBLEMS README README.jp debian/copyright
InfoDocs: jgroff
ConfigureParams: --mandir='${prefix}/share/man' --infodir='${prefix}/share/info' --enable-multibyte YACC=/usr/bin/yacc
PatchScript: <<
gzip -cd ../groff_%v-13.diff.gz | /usr/bin/sed 's|Debian package as /usr|Fink package as %p|g' | patch -p1
/usr/bin/sed 's|@PREFIX@|%p|g' %a/%n.patch | patch -p1
<<
CompileScript: <<
PERLPATH=/usr/bin/perl ./configure %c
make g=j NAMEPREFIX=j LIBS=-liconv
<<
InstallScript: <<
make install g=j NAMEPREFIX=j prefix=%i INSTALL_INFO=:
(set -e; for f in afmtodit eqn2graph groffer grog mmroff pic2graph; do mv %i/bin/$f %i/bin/j$f; done) || exit $?
/usr/bin/sed -i '' 's/^prepro */^prepro j/;s/^postpro */postpro j/' %i/share/%n/1.18.1/font/*/DESC
(set -e; cd %i/share/info; for f in *; do /usr/bin/sed '/^START-INFO-DIR-ENTRY$/,/^END-INFO-DIR-ENTRY$/s/(groff)/(%n)/g;/^Indirect:/,//s/groff-/%n-/' $f > j$f; rm $f; done) || exit $?
ln -s 1.18.1 %i/share/%n/current
mkdir %i/etc
mv %i/share/%n/site-tmac %i/etc/%n
ln -s %p/etc/%n %i/share/%n/site-tmac
cat debian/mandoc.local >> %i/etc/%n/man.local
cat debian/mandoc.local >> %i/etc/%n/mdoc.local
<<
DescPackaging: <<
Avoid dependency mess if /sw/bin/perl exists at compile-time
xditview is not compiled nor installed now.
<<
License: GPL
Homepage: http://www.gnu.org/software/groff/groff.html
diff -Naur groff-1.18.1.1-debian11/Makefile.comm groff-1.18.1.1/Makefile.comm
--- groff-1.18.1.1-debian11/Makefile.comm Mon Sep 16 08:42:34 2002
+++ groff-1.18.1.1/Makefile.comm Wed Mar 15 19:57:13 2006
@@ -182,7 +182,7 @@
-test -d $(man5dir) || $(mkinstalldirs) $(man5dir)
@-pages="$(MAN5)"; \
for p in $$pages; do \
- target=$(man5dir)/`basename $$p .n`.$(man5ext); \
+ target=$(man5dir)/$(NAMEPREFIX)`basename $$p .n`.$(man5ext); \
rm -f $$target; \
echo $(INSTALL_DATA) $$p $$target; \
$(INSTALL_DATA) $$p $$target; \
@@ -190,7 +190,7 @@
-test -d $(man7dir) || $(mkinstalldirs) $(man7dir)
@-pages="$(MAN7)"; \
for p in $$pages; do \
- target=$(man7dir)/`basename $$p .n`.$(man7ext); \
+ target=$(man7dir)/$(NAMEPREFIX)`basename $$p .n`.$(man7ext); \
rm -f $$target; \
echo $(INSTALL_DATA) $$p $$target; \
$(INSTALL_DATA) $$p $$target; \
diff -Naur groff-1.18.1.1-debian11/Makefile.in groff-1.18.1.1/Makefile.in
--- groff-1.18.1.1-debian11/Makefile.in Wed Mar 15 15:29:49 2006
+++ groff-1.18.1.1/Makefile.in Wed Mar 15 18:06:01 2006
@@ -91,18 +91,18 @@
# `libdir' says where to install platform-dependent data.
libdir=@libdir@
-libprogramdir=$(libdir)/groff
+libprogramdir=$(libdir)/jgroff
# `datasubdir' says where to install platform-independent data files.
datadir=@datadir@
-dataprogramdir=$(datadir)/groff
+dataprogramdir=$(datadir)/jgroff
datasubdir=$(dataprogramdir)/$(version)$(revision)
# `infodir' says where to install info files.
infodir=@infodir@
# `docdir' says where to install documentation files.
-docdir=$(datadir)/doc/groff/$(version)$(revision)
+docdir=$(datadir)/doc/jgroff/$(version)$(revision)
# `exampledir' says where to install example files.
exampledir=$(docdir)/examples
diff -Naur groff-1.18.1.1-debian11/debian/copyright groff-1.18.1.1/debian/copyright
--- groff-1.18.1.1-debian11/debian/copyright Wed Mar 15 15:29:49 2006
+++ groff-1.18.1.1/debian/copyright Wed Mar 15 18:02:26 2006
@@ -1,3 +1,9 @@
+This is the Fink package of GNU groff. This is derived from Debian's
+groff package and modified for Fink. Some part of this document,
+especially filenames and directories, may not applicable to Fink.
+
+----- Debian's copyright document begins here -----
+
This is the Debian GNU/Linux prepackaged version of the GNU groff
document formatting system.
GNU groff was written by James Clark
diff -Naur groff-1.18.1.1-debian11/src/libs/libgroff/encoding.cc groff-1.18.1.1/src/libs/libgroff/encoding.cc
--- groff-1.18.1.1-debian11/src/libs/libgroff/encoding.cc Wed Mar 15 15:29:48 2006
+++ groff-1.18.1.1/src/libs/libgroff/encoding.cc Thu Mar 16 00:43:18 2006
@@ -145,6 +145,9 @@
iconv_t icd, ocd;
const char *encoding_name;
static iconv_handler *ih_header;
+#ifdef ICONV_CONST
+ typedef ICONV_CONST char **iconv_arg_type;
+#endif
public:
iconv_handler *next;
@@ -191,7 +196,7 @@
outbytesleft = sizeof(outbuf);
inp = inbuf;
outp = outbuf;
- size_t r = iconv(icd, &inp, &inbytesleft, &outp, &outbytesleft);
+ size_t r = iconv(icd, const_cast
if (r == (size_t)-1) {
if (errno == EILSEQ) {
/* illegal sequence? */
@@ -230,7 +235,7 @@
outbytesleft = 4;
inp = inbuf;
outp = outbuf;
- size_t r = iconv(ocd, &inp, &inbytesleft, &outp, &outbytesleft);
+ size_t r = iconv(ocd, const_cast
if (r == (size_t)-1) {
if (errno == EILSEQ) {
/* illegal sequence? */;
diff -Naur groff-1.18.1.1-debian11/tmac/docj.tmac groff-1.18.1.1/tmac/docj.tmac
--- groff-1.18.1.1-debian11/tmac/docj.tmac Wed Mar 15 15:29:49 2006
+++ groff-1.18.1.1/tmac/docj.tmac Wed Mar 15 18:02:26 2006
@@ -43,7 +43,7 @@
.\}
.if \n(.g .ig
.de sO
-.so /usr/share/tmac/\\$1
+.so @PREFIX@/share/tmac/\\$1
..
.if !\n(.g .ig
.de sO
diff -Naur groff-1.18.1.1-debian11/configure groff-1.18.1.1/configure
--- groff-1.18.1.1-debian11/configure 2008-04-01 02:33:24.000000000 +0900
+++ groff-1.18.1.1/configure 2008-04-01 04:20:49.000000000 +0900
@@ -306,6 +306,7 @@
#endif"
ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS groff_top_builddir CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX TTYDEVDIRS OTHERDEVDIRS LPR LP LPQ PSPRINT DVIPRINT PERLPATH YACC RANLIB ac_ct_RANLIB INSTALL_INFO INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SH_SCRIPT_SED_CMD CPP EGREP LIBM LIBOBJS BROKEN_SPOOLER_FLAGS PAGE g sys_tmac_prefix tmac_wrap pnmcut pnmcrop pnmtopng gs psselect make_html make_install_html DVIFORMAT LTLIBOBJS'
+ac_subst_vars="$ac_subst_vars ICONV_CONST"
ac_subst_files=''
# Initialize some variables set by options.
@@ -6037,6 +6038,104 @@
LTLIBOBJS=$ac_ltlibobjs
+##### check for iconv
+ { echo "$as_me:$LINENO: checking for iconv declaration" >&5
+echo $ECHO_N "checking for iconv declaration... $ECHO_C" >&6; }
+ if test "${am_cv_proto_iconv+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+
+ cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+
+#include
+#include
+extern
+#ifdef __cplusplus
+"C"
+#endif
+#if defined(__STDC__) || defined(__cplusplus)
+size_t iconv (iconv_t cd, char * *inbuf, size_t *inbytesleft, char * *outbuf, size_t *outbytesleft);
+#else
+size_t iconv();
+#endif
+
+int
+main ()
+{
+
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+ (eval "$ac_compile") 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { (case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+ (eval "$ac_try") 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+ (eval "$ac_try") 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ am_cv_proto_iconv_arg1=""
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ am_cv_proto_iconv_arg1="const"
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+ am_cv_proto_iconv="extern size_t iconv (iconv_t cd, $am_cv_proto_iconv_arg1 char * *inbuf, size_t *inbytesleft, char * *outbuf, size_t *outbytesleft);"
+fi
+
+ am_cv_proto_iconv=`echo "$am_cv_proto_iconv" | tr -s ' ' | sed -e 's/( /(/'`
+ { echo "$as_me:$LINENO: result: ${ac_t:-
+ }$am_cv_proto_iconv" >&5
+echo "${ECHO_T}${ac_t:-
+ }$am_cv_proto_iconv" >&6; }
+
+cat >>confdefs.h <<_ACEOF
+#define ICONV_CONST $am_cv_proto_iconv_arg1
+_ACEOF
+
+if test -z "$am_cv_proto_iconv_arg1"; then
+ ICONV_CONST=""
+else
+ ICONV_CONST="const"
+fi
+
+DEFS="$DEFS -DICONV_CONST=$ICONV_CONST"
+##### check for iconv
: ${CONFIG_STATUS=./config.status}
ac_clean_files_save=$ac_clean_files